SYSTEMD-DELTA(1)

NAME
systemd-delta - Find overridden configuration files

SYNOPSIS

systemd-delta [OPTIONS...] [SUFFIX...]

DESCRIPTION

systemd-delta may be used to identify and compare configuration files in /etc that override default counterparts in /usr. The command line argument can be one or more name of a subdirectories of /etc or /usr/lib to compare, such as tmpfiles.d, sysctl.d or systemd/system.

When no argument is specified a number of well-known subdirectories are searched for overridden files.

OPTIONS

The following options are understood:

-h, --help
    Prints a short help text and exits.

--version
    Prints a short version string and exits.

--no-pager
    Do not pipe output into a pager.

-t, --type=
    When listing the differences, only list those that are asked for. The list itself is a comma-separated list of desired difference types.

    Recognized types are:

    masked
        Show masked files

    equivalent
        Show overridden files that while overridden, do not differ in content.

    redirected
        Show files that are redirected to another.

    overridden
        Show overridden, and changed files.

    extended
        Show *.conf files in drop-in directories for units.

    unchanged
        Show unmodified files too.

--diff=
    When showing modified files, when a file is overridden show a diff as well. This option takes a boolean argument. If omitted, it defaults to true.

EXIT STATUS

On success 0 is returned, a non-zero failure code otherwise.

SEE ALSO

systemd(1)